- release_tracks: [ALPHA]

  help_text:
    brief: Delete a Google Distributed Cloud API key.
    description: Deletes the specified Google Distributed Cloud API key.
    examples: |
      To delete an API key called `test-api-key` in project `test-project` and location `us-central1`, run:

      $ {command} test-api-key --location=us-central1 --project=test-project
  request:
    collection: edgecontainer.projects.locations.apiKeys
    api_version: v1alpha
    method: delete
  arguments:
    resource:
      spec: !REF googlecloudsdk.command_lib.edge_cloud.api_key.resources:apiKey
      help_text: The Google Distributed Cloud API key to delete.
  async:
    collection: edgecontainer.projects.locations.operations
